using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace LD10Tanks
{
    public struct VertexPositionNormalColor
    {
        public static readonly VertexElement[] VertexElements =
            {
                new VertexElement(0, 0, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Position, 0),
                new VertexElement(0, 3*4, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Normal, 0),
                new VertexElement(0, 6*4, VertexElementFormat.Color, VertexElementMethod.Default, VertexElementUsage.Color, 0),
            };

        public Vector3 Position;
        public Vector3 Normal;
        public Color Color;

        public VertexPositionNormalColor(Vector3 pos, Vector3 normal, Color col)
        {
            Position = pos;
            Normal = normal;
            Color = col;
        }
    }
}
